# ``Buildkite``

A Swift library and client for the Buildkite REST and GraphQL APIs.

## Overview

The entire publicly documented REST API surface is supported by this package.

## Topics

### Essentials

- <doc:GettingStarted>
- ``BuildkiteClient``

### REST API

- ``AccessToken``
- ``Agent``
- ``Annotation``
- ``Artifact``
- ``Build``
- ``Emoji``
- ``Followable``
- ``Job``
- ``Meta``
- ``Organization``
- ``Pipeline``
- ``Team``
- ``User``

### Authorization

- <doc:Authorization>
- ``TokenProvider``

#### Pagination

- ``Page``
- ``PageOptions``
- ``PaginatedResource``

### GraphQL API

- <doc:UsingGraphQL>
- ``GraphQL``
- ``JSONValue``

### Agent API

- ``AgentMetrics``

### Test Analytics API

- ``TestAnalytics``
- ``Trace``

### Webhooks API

- <doc:Webhooks>
- ``WebhookEvent``
- ``WebhookValidationError``

### Advanced

- ``Configuration``
- ``APIVersion``
- ``Resource``
- ``Transport``
- ``Response``
- ``StatusCode``
- ``BuildkiteError``
- ``ResourceError``
- ``ResponseError``
- ``TransportError``
